Subject: Re: [PATCH] Clean up geometry save code in gitk.

From: Mark Levedahl <[email-masked]>
Date: Sun, 11 Feb 2007 12:44:03 -0500

Sergey Vlasov wrote:
> These two patches fix saving of the window position for me; however,
> some things still remain broken:
>
>  - No matter what sizes of the commit tree, patch and filelist panes I
>    set, on gitk restart they come up with their default sizes.
>
>  - Sizes of commit tree columns are not saved properly - on every gitk
>    restart the dividers are shifting more and more to the right.
>
> This is on Linux (x86_64) with Tk 8.4.13.
>
> I made two more patches which fix the above problems for me - please
> test them (in particular, someone needs to check that the Cygwin
> support is not broken - apparently something is different between Tk
> on Linux and Cygwin to create the problem with commit tree columns).
>
> See the followup messages.
>
> --
> Sergey Vlasov
>   

I could not actually apply your patches, but your suggested changes were 
simple enough to apply by hand:
1) I do notice the change in size of panes in the upper window on Cygwin 
(hadn't noticed before but it is there), and your "-highlightthickness 
0" tweak fixes that. Just for grins, I tried reenabling the "subtract 2" 
strategy in place before, and that only makes the problem worse on Cygwin.
2) I don't see any effect of the "pane configure" tweak on Cygwin. 
Haven't checked on Linux (don't have that here) so cannot comment.

Gotta say, the more I play with Tk, the more I wonder why anyone uses 
anything else  ;-) .

Mark